### Method

# WebKit ScriptDialog prompt_set_text

#### Declaration [src]

    void
    webkit_script_dialog_prompt_set_text (
      WebKitScriptDialog* dialog,
      const gchar* text
    )

#### Description [src]

Set the text entered by the user in the dialog.

This method is used for `WEBKIT_SCRIPT_DIALOG_PROMPT` dialogs when `WebKitWebView::script-dialog` signal is emitted to set the text entered by the user. The default implementation of `WebKitWebView::script-dialog` signal sets the text of the entry form when OK button is clicked, otherwise `NULL` is set. It’s an error to use this method with a `WebKitScriptDialog` that is not of type `WEBKIT_SCRIPT_DIALOG_PROMPT`.

#### Parameters

`text` | `const gchar*`
| The text to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.